<?php

//SESSION
session_name("SIGNADMAUTH");
session_start();

//FILE INCLUDE
include "common/config/config.php";
include "common/config/dbconfig.php";
include "common/functions/funcconnect.php";
openDB();

include "common/functions/funcauthen.php";
include "common/functions/funcselectdb.php";

//MAIN CONDITION
if (!authen())
{ 
	header("location: login.php");
}
else if (!fullaccess($_GET['menuid'], $_SESSION['SES_GROUPID']))
{ 
	header("location: index.php");
}
else
{
    $idMerek=$_GET['id'];
    $kodeMerek=$_POST['kodemerek_edit'];
    $namaMerek=$_POST['namamerek_edit'];
    $merekTersedia=$_POST['status_edit'];

    if (empty($kodeMerek))
    {
        $msg="Kode Merek tidak boleh kosong.<br><br>".$linkback;
    }
    else if (empty($namaMerek))
    {
        $msg="Nama Merek tidak boleh kosong.<br><br>".$linkback;
    }
    else if (empty($merekTersedia))
    {
        $msg="Status Tersedia tidak boleh kosong.<br><br>".$linkback;
    }
    else
    {
        $qm="UPDATE $db_merek SET kodemerek='".mysqli_real_escape_string($dbConnection, $kodeMerek)."',  ";
        $qm.="namamerek='".mysqli_real_escape_string($dbConnection, $namaMerek)."', ";
        $qm.="status_tersedia_merek='".mysqli_real_escape_string($dbConnection, $merekTersedia)."' ";
        $qm.="WHERE idmerek='".mysqli_real_escape_string($dbConnection, $idMerek)."' ";
        $rm=mysqli_query($dbConnection, $qm);

        if ($rm)
        {
            $msg="Mengubah data merek produk sukses.";
            $logdesc="UPDATE MEREK";
            include "logakses.php";
        }
        else
        {
            $msg="Mengubah data merek produk gagal.<br><br>".$linkback;
        }
    }

    //---------------------------------------------------------------------------------------------------------

    //QUERY APP MENU
    $qq="SELECT a.appmenuname, b.parentmenuname FROM $db_appmenu a, $db_parent_menu b ";
		$qq.="WHERE a.appmenuid='".mysqli_real_escape_string($dbConnection, $_GET['menuid'])."' AND b.parentmenuid=a.parentid";
		$rr=mysqli_query($dbConnection, $qq);
		$dd=mysqli_fetch_array($rr);

		$content="<table border='0' cellpadding='6px' cellspacing='0' width='100%'>
						<tr>
							<td align='left' valign='top' width='100%'>
								<b class='title'>".$dd['parentmenuname']." &gt; ".$dd['appmenuname']."</b>
								<br><hr size='1' color='#000000'><br>

                                <table border='0' cellpadding='0' cellspacing='0'>
									<tr>
										<td align='left' valign='top' width='50%'>
											".$msg."
										</td>
									</tr>
								</table>

							</td>
						</tr>
					</table>";

}

//---------------------------------------------------------------------------------------------------------

//TEMPLATE
include "webmenu.php";
include "common/include/template.php";
$temp=new template;
$temp->define_theme("themes/theme1.html");
$temp->define_tag("{PAGETITLE}", $namaaplikasi);
$temp->define_tag("{NAMAUSER}", strtoupper($_SESSION['SES_FULLNAME']));
$temp->define_tag("{APPMENU}", $webmenu);
$temp->define_tag("{APPCONTENT}", $content);
$temp->parse();
$temp->printproses();

closeDB();

?>